Ubuntu

SB Arena USB headset causes X BUG, can't click outside window

Reported by Mike Harris on 2012-06-01
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Dave Chiluk
Precise
Medium
Dave Chiluk
Quantal
Medium
Dave Chiluk

Bug Description

SRU Justification:
Impact:

 * Plugging in a SB Arena USB headset or a number of other usb
   headsets causes the current window to hold focus, and prevent other
   windows from being selected essentially making the desktop unusable.

 * Without this patch users are forced to not use these devices.

Fix:
 * cherry picked from upstream commit 929578ab0339fe42bb3ceeaa2e6607189cddf70b
 * Fixes the button mappings for the volume control which shows up as a hid
   device which is attached to the headset.

Testcase:

 * Create 2 windows
 * With focus set on one of them plug in the headset
 * Attempt to change focus using the mouse to the other window.
 * User will not be able to select focus on the other window.

When I plug my SB Arena USB headset in, I can't click the mouse in any window besides the one with focus. The current window works ok, but any other doesn't register the click. Also, I get a BUG in the X logs.

This on Precise, xserver-xorg-input-evdev version 1:2.7.0-0ubuntu1

/var/log/Xorg.0.log:
on device insert:
[252903.181] (II) config/udev: Adding input device Creative Technology SB Arena Headset (/dev/input/event9)
[252903.181] (**) Creative Technology SB Arena Headset: Applying InputClass "evdev keyboard catchall"
[252903.181] (II) Using input driver 'evdev' for 'Creative Technology SB Arena Headset'
[252903.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[252903.181] (**) Creative Technology SB Arena Headset: always reports core events
[252903.181] (**) evdev: Creative Technology SB Arena Headset: Device: "/dev/input/event9"
[252903.181] (--) evdev: Creative Technology SB Arena Headset: Vendor 0x41e Product 0x403
[252903.181] (--) evdev: Creative Technology SB Arena Headset: Found 8 mouse buttons
[252903.181] (--) evdev: Creative Technology SB Arena Headset: Found keys
[252903.181] (II) evdev: Creative Technology SB Arena Headset: Configuring as mouse
[252903.181] (II) evdev: Creative Technology SB Arena Headset: Configuring as keyboard
[252903.181] (**) evdev: Creative Technology SB Arena Headset: YAxisMapping: buttons 4 and 5
[252903.181] (**) evdev: Creative Technology SB Arena Headset: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[252903.181] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.3/input/input18/event9"
[252903.181] (II) XINPUT: Adding extended input device "Creative Technology SB Arena Headset" (type: KEYBOARD, id 15)
[252903.181] (**) Option "xkb_rules" "evdev"
[252903.181] (**) Option "xkb_model" "pc105"
[252903.181] (**) Option "xkb_layout" "us"
[252903.191] BUG: triggered 'if (!dev->valuator || dev->valuator->numAxes < 2)'
BUG: ../../dix/getevents.c:850 in scale_to_desktop()
[252903.191]
Backtrace:
[252903.192] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f148e6f3866]
[252903.192] 1: /usr/bin/X (0x7f148e56b000+0x621fe) [0x7f148e5cd1fe]
[252903.192] 2: /usr/bin/X (0x7f148e56b000+0x62e6d) [0x7f148e5cde6d]
[252903.192] 3: /usr/bin/X (GetPointerEvents+0xe2) [0x7f148e5cf202]
[252903.192] 4: /usr/bin/X (QueuePointerEvents+0x1d) [0x7f148e5cf65d]
[252903.192] 5: /usr/bin/X (xf86PostButtonEvent+0xdd) [0x7f148e60b5ed]
[252903.192] 6: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f1486989000+0x5f48) [0x7f148698ef48]
[252903.192] 7: /usr/bin/X (0x7f148e56b000+0x8ae07) [0x7f148e5f5e07]
[252903.192] 8: /usr/bin/X (0x7f148e56b000+0xb0d4a) [0x7f148e61bd4a]
[252903.192] 9: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f148d891000+0xfcb0) [0x7f148d8a0cb0]
[252903.192] 10: /lib/x86_64-linux-gnu/libc.so.6 (__select+0x13) [0x7f148c7f0803]
[252903.192] 11: /usr/bin/X (WaitForSomething+0x19b) [0x7f148e6f0c4b]
[252903.192] 12: /usr/bin/X (0x7f148e56b000+0x4e4f2) [0x7f148e5b94f2]
[252903.192] 13: /usr/bin/X (0x7f148e56b000+0x3d6aa) [0x7f148e5a86aa]
[252903.192] 14: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f148c72676d]
[252903.192] 15: /usr/bin/X (0x7f148e56b000+0x3d99d) [0x7f148e5a899d]

on removal:
[252937.048] BUG: triggered 'if (!dev->valuator || dev->valuator->numAxes < 2)'
BUG: ../../dix/getevents.c:850 in scale_to_desktop()
[252937.048]
Backtrace:
[252937.048] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f148e6f3866]
[252937.048] 1: /usr/bin/X (0x7f148e56b000+0x621fe) [0x7f148e5cd1fe]
[252937.048] 2: /usr/bin/X (0x7f148e56b000+0x62e6d) [0x7f148e5cde6d]
[252937.048] 3: /usr/bin/X (GetPointerEvents+0xe2) [0x7f148e5cf202]
[252937.048] 4: /usr/bin/X (QueuePointerEvents+0x1d) [0x7f148e5cf65d]
[252937.048] 5: /usr/bin/X (xf86PostButtonEvent+0xdd) [0x7f148e60b5ed]
[252937.048] 6: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f1486989000+0x5f48) [0x7f148698ef48]
[252937.048] 7: /usr/bin/X (0x7f148e56b000+0x8ae07) [0x7f148e5f5e07]
[252937.048] 8: /usr/bin/X (0x7f148e56b000+0xb0d4a) [0x7f148e61bd4a]
[252937.048] 9: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f148d891000+0xfcb0) [0x7f148d8a0cb0]
[252937.048] 10: /lib/x86_64-linux-gnu/libc.so.6 (__select+0x13) [0x7f148c7f0803]
[252937.048] 11: /usr/bin/X (WaitForSomething+0x19b) [0x7f148e6f0c4b]
[252937.049] 12: /usr/bin/X (0x7f148e56b000+0x4e4f2) [0x7f148e5b94f2]
[252937.049] 13: /usr/bin/X (0x7f148e56b000+0x3d6aa) [0x7f148e5a86aa]
[252937.049] 14: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f148c72676d]
[252937.049] 15: /usr/bin/X (0x7f148e56b000+0x3d99d) [0x7f148e5a899d]
[252937.310] (II) config/udev: removing device Creative Technology SB Arena Headset
[252937.310] (II) evdev: Creative Technology SB Arena Headset: Close
[252937.310] (II) UnloadModule: "evdev"
[252937.310] (II) Unloading evdev

lsusb:

mwharris@linux:~$ lsusb -s 4:11 -v
Bus 004 Device 011: ID 041e:0403 Creative Technology, Ltd
Couldn't open device, some information will be missing
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x041e Creative Technology, Ltd
  idProduct 0x0403
  bcdDevice 1.10
  iManufacturer 1
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 306
    bNumInterfaces 4
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 0
      bInterfaceClass 1 Audio
      bInterfaceSubClass 1 Control Device
      bInterfaceProtocol 0
      iInterface 0
      AudioControl Interface Descriptor:
        bLength 10
        bDescriptorType 36
        bDescriptorSubtype 1 (HEADER)
        bcdADC 1.00
        wTotalLength 107
        bInCollection 2
        baInterfaceNr( 0) 1
        baInterfaceNr( 1) 2
      AudioControl Interface Descriptor:
        bLength 12
        bDescriptorType 36
        bDescriptorSubtype 2 (INPUT_TERMINAL)
        bTerminalID 1
        wTerminalType 0x0101 USB Streaming
        bAssocTerminal 0
        bNrChannels 2
        wChannelConfig 0x0003
          Left Front (L)
          Right Front (R)
        iChannelNames 0
        iTerminal 0
      AudioControl Interface Descriptor:
        bLength 13
        bDescriptorType 36
        bDescriptorSubtype 6 (FEATURE_UNIT)
        bUnitID 2
        bSourceID 8
        bControlSize 2
        bmaControls( 0) 0x01
        bmaControls( 0) 0x00
          Mute Control
        bmaControls( 1) 0x02
        bmaControls( 1) 0x00
          Volume Control
        bmaControls( 2) 0x02
        bmaControls( 2) 0x00
          Volume Control
        iFeature 0
      AudioControl Interface Descriptor:
        bLength 9
        bDescriptorType 36
        bDescriptorSubtype 3 (OUTPUT_TERMINAL)
        bTerminalID 3
        wTerminalType 0x0301 Speaker
        bAssocTerminal 0
        bSourceID 2
        iTerminal 0
      AudioControl Interface Descriptor:
        bLength 12
        bDescriptorType 36
        bDescriptorSubtype 2 (INPUT_TERMINAL)
        bTerminalID 4
        wTerminalType 0x0201 Microphone
        bAssocTerminal 0
        bNrChannels 1
        wChannelConfig 0x0000
        iChannelNames 0
        iTerminal 0
      AudioControl Interface Descriptor:
        bLength 11
        bDescriptorType 36
        bDescriptorSubtype 6 (FEATURE_UNIT)
        bUnitID 5
        bSourceID 4
        bControlSize 2
        bmaControls( 0) 0x01
        bmaControls( 0) 0x00
          Mute Control
        bmaControls( 1) 0x02
        bmaControls( 1) 0x00
          Volume Control
        iFeature 0
      AudioControl Interface Descriptor:
        bLength 9
        bDescriptorType 36
        bDescriptorSubtype 3 (OUTPUT_TERMINAL)
        bTerminalID 6
        wTerminalType 0x0101 USB Streaming
        bAssocTerminal 0
        bSourceID 9
        iTerminal 0
      AudioControl Interface Descriptor:
        bLength 11
        bDescriptorType 36
        bDescriptorSubtype 6 (FEATURE_UNIT)
        bUnitID 7
        bSourceID 4
        bControlSize 2
        bmaControls( 0) 0x01
        bmaControls( 0) 0x00
          Mute Control
        bmaControls( 1) 0x02
        bmaControls( 1) 0x00
          Volume Control
        iFeature 0
      AudioControl Interface Descriptor:
        bLength 13
        bDescriptorType 36
        bDescriptorSubtype 4 (MIXER_UNIT)
        bUnitID 8
        bNrInPins 2
        baSourceID( 0) 1
        baSourceID( 1) 7
        bNrChannels 2
        wChannelConfig 0x0003
          Left Front (L)
          Right Front (R)
        iChannelNames 0
        bmControls 0x00
        iMixer 0
      AudioControl Interface Descriptor:
        bLength 7
        bDescriptorType 36
        bDescriptorSubtype 5 (SELECTOR_UNIT)
        bUnitID 9
        bNrInPins 1
        baSource( 0) 5
        iSelector 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 0
      bInterfaceClass 1 Audio
      bInterfaceSubClass 2 Streaming
      bInterfaceProtocol 0
      iInterface 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 1
      bNumEndpoints 1
      bInterfaceClass 1 Audio
      bInterfaceSubClass 2 Streaming
      bInterfaceProtocol 0
      iInterface 0
      AudioStreaming Interface Descriptor:
        bLength 7
        bDescriptorType 36
        bDescriptorSubtype 1 (AS_GENERAL)
        bTerminalLink 1
        bDelay 0 frames
        wFormatTag 1 PCM
      AudioStreaming Interface Descriptor:
        bLength 14
        bDescriptorType 36
        bDescriptorSubtype 2 (FORMAT_TYPE)
        bFormatType 1 (FORMAT_TYPE_I)
        bNrChannels 2
        bSubframeSize 2
        bBitResolution 16
        bSamFreqType 2 Discrete
        tSamFreq[ 0] 44100
        tSamFreq[ 1] 48000
      Endpoint Descriptor:
        bLength 9
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 13
          Transfer Type Isochronous
          Synch Type Synchronous
          Usage Type Data
        wMaxPacketSize 0x00c0 1x 192 bytes
        bInterval 1
        bRefresh 0
        bSynchAddress 0
        AudioControl Endpoint Descriptor:
          bLength 7
          bDescriptorType 37
          bDescriptorSubtype 1 (EP_GENERAL)
          bmAttributes 0x01
            Sampling Frequency
          bLockDelayUnits 2 Decoded PCM samples
          wLockDelay 0 Decoded PCM samples
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 2
      bNumEndpoints 1
      bInterfaceClass 1 Audio
      bInterfaceSubClass 2 Streaming
      bInterfaceProtocol 0
      iInterface 0
      AudioStreaming Interface Descriptor:
        bLength 7
        bDescriptorType 36
        bDescriptorSubtype 1 (AS_GENERAL)
        bTerminalLink 1
        bDelay 0 frames
        wFormatTag 1 PCM
      AudioStreaming Interface Descriptor:
        bLength 14
        bDescriptorType 36
        bDescriptorSubtype 2 (FORMAT_TYPE)
        bFormatType 1 (FORMAT_TYPE_I)
        bNrChannels 2
        bSubframeSize 3
        bBitResolution 24
        bSamFreqType 2 Discrete
        tSamFreq[ 0] 44100
        tSamFreq[ 1] 48000
      Endpoint Descriptor:
        bLength 9
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 13
          Transfer Type Isochronous
          Synch Type Synchronous
          Usage Type Data
        wMaxPacketSize 0x0120 1x 288 bytes
        bInterval 1
        bRefresh 0
        bSynchAddress 0
        AudioControl Endpoint Descriptor:
          bLength 7
          bDescriptorType 37
          bDescriptorSubtype 1 (EP_GENERAL)
          bmAttributes 0x01
            Sampling Frequency
          bLockDelayUnits 2 Decoded PCM samples
          wLockDelay 0 Decoded PCM samples
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 2
      bAlternateSetting 0
      bNumEndpoints 0
      bInterfaceClass 1 Audio
      bInterfaceSubClass 2 Streaming
      bInterfaceProtocol 0
      iInterface 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 2
      bAlternateSetting 1
      bNumEndpoints 1
      bInterfaceClass 1 Audio
      bInterfaceSubClass 2 Streaming
      bInterfaceProtocol 0
      iInterface 0
      AudioStreaming Interface Descriptor:
        bLength 7
        bDescriptorType 36
        bDescriptorSubtype 1 (AS_GENERAL)
        bTerminalLink 6
        bDelay 0 frames
        wFormatTag 1 PCM
      AudioStreaming Interface Descriptor:
        bLength 14
        bDescriptorType 36
        bDescriptorSubtype 2 (FORMAT_TYPE)
        bFormatType 1 (FORMAT_TYPE_I)
        bNrChannels 2
        bSubframeSize 2
        bBitResolution 16
        bSamFreqType 2 Discrete
        tSamFreq[ 0] 44100
        tSamFreq[ 1] 48000
      Endpoint Descriptor:
        bLength 9
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 13
          Transfer Type Isochronous
          Synch Type Synchronous
          Usage Type Data
        wMaxPacketSize 0x00c0 1x 192 bytes
        bInterval 1
        bRefresh 0
        bSynchAddress 0
        AudioControl Endpoint Descriptor:
          bLength 7
          bDescriptorType 37
          bDescriptorSubtype 1 (EP_GENERAL)
          bmAttributes 0x01
            Sampling Frequency
          bLockDelayUnits 2 Decoded PCM samples
          wLockDelay 0 Decoded PCM samples
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 3
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 0 No Subclass
      bInterfaceProtocol 0 None
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.11
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 102
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 30

affects: xserver-xorg-input-evdev (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
status: New → In Progress
assignee: nobody → Chase Douglas (chasedouglas)
importance: Undecided → Medium
Changed in xorg-server (Ubuntu Precise):
importance: Undecided → Medium
assignee: nobody → Chase Douglas (chasedouglas)
status: New → In Progress
Chase Douglas (chasedouglas) wrote :

Hi Mike,

I have uploaded a potential fix to ppa:chasedouglas/mercury. Please add it and upgrade to the X server packages from it. Your xserver-xorg-core package should be version 1.11.4-0ubuntu10.3~jupiter1 after upgrading. Then test if the issue has been resolved.

Thanks!

Changed in xorg-server (Ubuntu Precise):
status: In Progress → Incomplete
Changed in xorg-server (Ubuntu):
status: In Progress → Incomplete
Mike Harris (mwharris-h) wrote :

Are you sure ppa:chasedouglas/mercury is correct? It looks out of date, with no Precise dist, just natty.

Chase Douglas (chasedouglas) wrote :

Hi Mike,

I'm sorry, I meant ppa:chasedouglas/jupiter. I have two ppas for random bug fix package tests. I accidentally gave you the wrong one.

Thanks!

Mike Harris (mwharris-h) wrote :

The new packages fix the BUG, but I'm still getting the weird click behavior.

What I'm seeing:
1. In a Konsole session, start a "sudo tail -f /var/log/Xorg.0.log" to watch the X log.
2. WIth focus still in Konsole, plug in the head phones.
3. Try to click another Konsole window I have open. Nothing happens from the click.
4. But I can click in a Chrome window I have open.
5. For the next second or so, I can click normally. But then it goes back to 3.

What other logs or toubleshooting would help?

Chase Douglas (chasedouglas) wrote :

Hi Mike,

Please capture the input properties of your headset input device (your headset is acting as an input device because it has buttons). After plugging in your headset, follow https://wiki.ubuntu.com/Multitouch/Testing/uTouchEvEmu#Debugging. You only need to perform steps 1, 2, and 5, the rest can be skipped for this bug. When it asks you to find your multitouch device, look for your headset instead. Once you have a device.prop file for your headset, attach it to this bug.

Also, please attach the output of xinput list --long when the headset is plugged in.

Thanks!

Mike Harris (mwharris-h) wrote :

I've attached device.prop and xinput-list.

Mike Harris (mwharris-h) wrote :
Chase Douglas (chasedouglas) wrote :

Hi Mike,

I can't reproduce the issue by merely instantiating a virtual input device based on the device.prop file you gave me. Perhaps the device is sending button or key events? After plugging in the headset, please perform steps 1, 2, and 6 from https://wiki.ubuntu.com/Multitouch/Testing/uTouchEvEmu#Debugging. Let the evemu-record utility run for about a minute, then kill it with ctrl-c. Then attach the file to this bug.

Thanks!

Mike Harris (mwharris-h) wrote :

Here's the evemu-record output. I'm worried the problem input is sent as soon as it's plugged in, which I can't capture with evemu since it doesn't exist yet. Maybe I should hook it in udev?

Chase Douglas (chasedouglas) wrote :

Hi Mike,

There's nothing in the recording that should cause your focus to be locked. It is possible that the device is emitting one of the mouse buttons when it is plugged in, which we won't capture using this approach, as you noted.

Let's try something else. Pull up a terminal. Run "xinput test-xi2" and capture the output to a file. Position your mouse cursor over the black box in the window that is created by xinput. Then, plug in your headset. Hit ctrl-c to kill xinput, and then attach the file to this bug. This will show us what input events are being seen and generated by the X server.

Thanks!

Mike Harris (mwharris-h) wrote :

Here's the output of 'xinput test-i2'.

I started it
waited a bit
plugged in the headset
waited about 30 seconds
then tried to click in another window twice.
waited a bit
then unplugged the headset.

Changed in xorg-server (Ubuntu):
status: Incomplete → Triaged
Changed in xorg-server (Ubuntu Precise):
status: Incomplete → Triaged
Jevonearth (ebjorsell) wrote :

I believe I'm encountering the same bug.

I originally logged bug #993655 for this issue, I thought it was a Unity issue.

All my details are under the original bug, but to recap;

I'm using 12.04 all up to date. My device is a wireless Plantronics headset, that uses a USB transmitter/receiver, the device model is D100.

From here, what can I do to help?

Jevonearth (ebjorsell) wrote :

Additionally, my headset has a button that activates it. The bug only gets triggered when I press the button on the headset. The problem doesn't seem to go away when I click the button to disable the device. If I unplug the USB device, then things seem to go back to normal.

Chris J Arges (arges) wrote :

This comment was made by Chase, copy and pasting here:

The log shows that the headset is sending a button 3 press event for the entire duration that it is plugged in. Here's the relevant log lines, with many lines in between omitted:

[ 184.680] (II) config/udev: Adding input device Creative Technology SB Arena Headset (/dev/input/event8)
[ 184.691] (EE) evdev: Creative Technology SB Arena Headset: New event: type: 4, code: 4, value: -16711678
[ 184.691] (EE) evdev: Creative Technology SB Arena Headset: New event: type: 1, code: 259, value: 1
[ 184.691] (EE) evdev: Creative Technology SB Arena Headset: New event: type: 0, code: 0, value: 0

[ 198.041] (EE) evdev: Creative Technology SB Arena Headset: New event: type: 1, code: 259, value: 0
[ 198.041] (EE) evdev: Creative Technology SB Arena Headset: New event: type: 0, code: 0, value: 1
[ 198.150] (II) config/udev: removing device Creative Technology SB Arena Headset

Note that button 3 in this context means an arbitrary miscellaneous button, not right or middle button of a mouse. The Evdev input module interprets the device as a keyboard. Thus, when you plug in the headset it's as though you have a second keyboard connected where a key is stuck pressed. This interferes with normal X keyboard event handling.

This either needs to be handled by quirking the HID driver in the kernel so that it knows not to expose this bad behavior, or by quirking the X evdev input module so that button 3 is ignored from this device. I think the correct approach is to quirk the kernel HID driver, but I'm not sure. I suggest contacting the upstream linux-input mailing list for advice.

Chris J Arges (arges) wrote :
Changed in xorg-server (Ubuntu):
assignee: Chase Douglas (chasedouglas) → Chris J Arges (christopherarges)
Changed in xorg-server (Ubuntu Precise):
assignee: Chase Douglas (chasedouglas) → Chris J Arges (christopherarges)
Jevonearth (ebjorsell) wrote :

I'm available to assist with any debugging or testing for this issue. I have different hardware, but it is my understanding that I am running into the same issue.

Chris J Arges (arges) wrote :

I'm adding an entry for HID_QUIRK_IGNORE for this device. Working on the patch now.

Download full text (19.5 KiB)

Thanks
On Aug 27, 2012 12:06 PM, "Chris J Arges" <email address hidden>
wrote:

> I'm adding an entry for HID_QUIRK_IGNORE for this device. Working on the
> patch now.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1007575
>
> Title:
> SB Arena USB headset causes X BUG, can't click outside window
>
> Status in “xorg-server” package in Ubuntu:
> Triaged
> Status in “xorg-server” source package in Precise:
> Triaged
>
> Bug description:
> When I plug my SB Arena USB headset in, I can't click the mouse in any
> window besides the one with focus. The current window works ok, but
> any other doesn't register the click. Also, I get a BUG in the X logs.
>
> This on Precise, xserver-xorg-input-evdev version 1:2.7.0-0ubuntu1
>
> /var/log/Xorg.0.log:
> on device insert:
> [252903.181] (II) config/udev: Adding input device Creative Technology
> SB Arena Headset (/dev/input/event9)
> [252903.181] (**) Creative Technology SB Arena Headset: Applying
> InputClass "evdev keyboard catchall"
> [252903.181] (II) Using input driver 'evdev' for 'Creative Technology SB
> Arena Headset'
> [252903.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [252903.181] (**) Creative Technology SB Arena Headset: always reports
> core events
> [252903.181] (**) evdev: Creative Technology SB Arena Headset: Device:
> "/dev/input/event9"
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Vendor
> 0x41e Product 0x403
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found 8
> mouse buttons
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found keys
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as mouse
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as keyboard
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> YAxisMapping: buttons 4 and 5
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> [252903.181] (**) Option "config_info"
> "udev:/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.3/input/input18/event9"
> [252903.181] (II) XINPUT: Adding extended input device "Creative
> Technology SB Arena Headset" (type: KEYBOARD, id 15)
> [252903.181] (**) Option "xkb_rules" "evdev"
> [252903.181] (**) Option "xkb_model" "pc105"
> [252903.181] (**) Option "xkb_layout" "us"
> [252903.191] BUG: triggered 'if (!dev->valuator ||
> dev->valuator->numAxes < 2)'
> BUG: ../../dix/getevents.c:850 in scale_to_desktop()
> [252903.191]
> Backtrace:
> [252903.192] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f148e6f3866]
> [252903.192] 1: /usr/bin/X (0x7f148e56b000+0x621fe) [0x7f148e5cd1fe]
> [252903.192] 2: /usr/bin/X (0x7f148e56b000+0x62e6d) [0x7f148e5cde6d]
> [252903.192] 3: /usr/bin/X (GetPointerEvents+0xe2) [0x7f148e5cf202]
> [252903.192] 4: /usr/bin/X (QueuePointerEvents+0x1d) [0x7f148e5cf65d]
> [252903.192] 5: /usr/bin/X (xf86PostButtonEvent+0xdd) [0x7f148e60b5ed]
> [252903.192] 6: /usr/lib/xorg/modules/input/evdev_d...

Chris J Arges (arges) wrote :

I have built a fix here, with a very small patch. Can you test this and see if it works:

http://people.canonical.com/~arges/lp1007575.1/

Paul Ouellette (pgouellette) wrote :
Download full text (19.5 KiB)

I will try tomorrow

Paul
On Aug 28, 2012 11:56 AM, "Chris J Arges" <email address hidden>
wrote:

> I have built a fix here, with a very small patch. Can you test this and
> see if it works:
>
> http://people.canonical.com/~arges/lp1007575.1/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1007575
>
> Title:
> SB Arena USB headset causes X BUG, can't click outside window
>
> Status in “xorg-server” package in Ubuntu:
> Triaged
> Status in “xorg-server” source package in Precise:
> Triaged
>
> Bug description:
> When I plug my SB Arena USB headset in, I can't click the mouse in any
> window besides the one with focus. The current window works ok, but
> any other doesn't register the click. Also, I get a BUG in the X logs.
>
> This on Precise, xserver-xorg-input-evdev version 1:2.7.0-0ubuntu1
>
> /var/log/Xorg.0.log:
> on device insert:
> [252903.181] (II) config/udev: Adding input device Creative Technology
> SB Arena Headset (/dev/input/event9)
> [252903.181] (**) Creative Technology SB Arena Headset: Applying
> InputClass "evdev keyboard catchall"
> [252903.181] (II) Using input driver 'evdev' for 'Creative Technology SB
> Arena Headset'
> [252903.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [252903.181] (**) Creative Technology SB Arena Headset: always reports
> core events
> [252903.181] (**) evdev: Creative Technology SB Arena Headset: Device:
> "/dev/input/event9"
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Vendor
> 0x41e Product 0x403
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found 8
> mouse buttons
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found keys
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as mouse
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as keyboard
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> YAxisMapping: buttons 4 and 5
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> [252903.181] (**) Option "config_info"
> "udev:/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.3/input/input18/event9"
> [252903.181] (II) XINPUT: Adding extended input device "Creative
> Technology SB Arena Headset" (type: KEYBOARD, id 15)
> [252903.181] (**) Option "xkb_rules" "evdev"
> [252903.181] (**) Option "xkb_model" "pc105"
> [252903.181] (**) Option "xkb_layout" "us"
> [252903.191] BUG: triggered 'if (!dev->valuator ||
> dev->valuator->numAxes < 2)'
> BUG: ../../dix/getevents.c:850 in scale_to_desktop()
> [252903.191]
> Backtrace:
> [252903.192] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f148e6f3866]
> [252903.192] 1: /usr/bin/X (0x7f148e56b000+0x621fe) [0x7f148e5cd1fe]
> [252903.192] 2: /usr/bin/X (0x7f148e56b000+0x62e6d) [0x7f148e5cde6d]
> [252903.192] 3: /usr/bin/X (GetPointerEvents+0xe2) [0x7f148e5cf202]
> [252903.192] 4: /usr/bin/X (QueuePointerEvents+0x1d) [0x7f148e5cf65d]
> [252903.192] 5: /usr/bin/X (xf86PostButtonEvent+0x...

Paul Ouellette (pgouellette) wrote :
Download full text (20.2 KiB)

Chris, I apologize, I am not a superuser for Linux. I went to your
directory for the patch and I was not sure which file to grab and exactly
how to install the patch.

My USB headset is a GN 9530 from GN Netcom.

If you can give me some pointers for installing the patch I am more then
willing to try.

I have made many changes and edits to my linux laptop as root using editors
and manually installed a number of programs but I don't do it enough to
recall which linux commands to use for what. I recall there is a certain
command for installing .deb files. Based on my headset and laptop.

I have an intel celeron processor so I suspect the i386 files would be
used.

Let me know
Paul

On Tue, Aug 28, 2012 at 11:48 AM, Chris J Arges
<email address hidden>wrote:

> I have built a fix here, with a very small patch. Can you test this and
> see if it works:
>
> http://people.canonical.com/~arges/lp1007575.1/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1007575
>
> Title:
> SB Arena USB headset causes X BUG, can't click outside window
>
> Status in “xorg-server” package in Ubuntu:
> Triaged
> Status in “xorg-server” source package in Precise:
> Triaged
>
> Bug description:
> When I plug my SB Arena USB headset in, I can't click the mouse in any
> window besides the one with focus. The current window works ok, but
> any other doesn't register the click. Also, I get a BUG in the X logs.
>
> This on Precise, xserver-xorg-input-evdev version 1:2.7.0-0ubuntu1
>
> /var/log/Xorg.0.log:
> on device insert:
> [252903.181] (II) config/udev: Adding input device Creative Technology
> SB Arena Headset (/dev/input/event9)
> [252903.181] (**) Creative Technology SB Arena Headset: Applying
> InputClass "evdev keyboard catchall"
> [252903.181] (II) Using input driver 'evdev' for 'Creative Technology SB
> Arena Headset'
> [252903.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [252903.181] (**) Creative Technology SB Arena Headset: always reports
> core events
> [252903.181] (**) evdev: Creative Technology SB Arena Headset: Device:
> "/dev/input/event9"
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Vendor
> 0x41e Product 0x403
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found 8
> mouse buttons
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found keys
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as mouse
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as keyboard
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> YAxisMapping: buttons 4 and 5
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> [252903.181] (**) Option "config_info"
> "udev:/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.3/input/input18/event9"
> [252903.181] (II) XINPUT: Adding extended input device "Creative
> Technology SB Arena Headset" (type: KEYBOARD, id 15)
> [252903.181] (**) Option "xkb_rules" "evdev"
> [252903.181] (**...

Chris J Arges (arges) wrote :

Hi Paul,
Because your device is different than the Creative Technology SB Arena Headset in this bug, can you file a new bug please?
Thanks

Paul Ouellette (pgouellette) wrote :
Download full text (19.5 KiB)

where do I file bugs?

On Wed, Aug 29, 2012 at 9:18 AM, Chris J Arges
<email address hidden>wrote:

> Hi Paul,
> Because your device is different than the Creative Technology SB Arena
> Headset in this bug, can you file a new bug please?
> Thanks
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1007575
>
> Title:
> SB Arena USB headset causes X BUG, can't click outside window
>
> Status in “xorg-server” package in Ubuntu:
> Triaged
> Status in “xorg-server” source package in Precise:
> Triaged
>
> Bug description:
> When I plug my SB Arena USB headset in, I can't click the mouse in any
> window besides the one with focus. The current window works ok, but
> any other doesn't register the click. Also, I get a BUG in the X logs.
>
> This on Precise, xserver-xorg-input-evdev version 1:2.7.0-0ubuntu1
>
> /var/log/Xorg.0.log:
> on device insert:
> [252903.181] (II) config/udev: Adding input device Creative Technology
> SB Arena Headset (/dev/input/event9)
> [252903.181] (**) Creative Technology SB Arena Headset: Applying
> InputClass "evdev keyboard catchall"
> [252903.181] (II) Using input driver 'evdev' for 'Creative Technology SB
> Arena Headset'
> [252903.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [252903.181] (**) Creative Technology SB Arena Headset: always reports
> core events
> [252903.181] (**) evdev: Creative Technology SB Arena Headset: Device:
> "/dev/input/event9"
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Vendor
> 0x41e Product 0x403
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found 8
> mouse buttons
> [252903.181] (--) evdev: Creative Technology SB Arena Headset: Found keys
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as mouse
> [252903.181] (II) evdev: Creative Technology SB Arena Headset:
> Configuring as keyboard
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> YAxisMapping: buttons 4 and 5
> [252903.181] (**) evdev: Creative Technology SB Arena Headset:
> EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> [252903.181] (**) Option "config_info"
> "udev:/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.3/input/input18/event9"
> [252903.181] (II) XINPUT: Adding extended input device "Creative
> Technology SB Arena Headset" (type: KEYBOARD, id 15)
> [252903.181] (**) Option "xkb_rules" "evdev"
> [252903.181] (**) Option "xkb_model" "pc105"
> [252903.181] (**) Option "xkb_layout" "us"
> [252903.191] BUG: triggered 'if (!dev->valuator ||
> dev->valuator->numAxes < 2)'
> BUG: ../../dix/getevents.c:850 in scale_to_desktop()
> [252903.191]
> Backtrace:
> [252903.192] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7f148e6f3866]
> [252903.192] 1: /usr/bin/X (0x7f148e56b000+0x621fe) [0x7f148e5cd1fe]
> [252903.192] 2: /usr/bin/X (0x7f148e56b000+0x62e6d) [0x7f148e5cde6d]
> [252903.192] 3: /usr/bin/X (GetPointerEvents+0xe2) [0x7f148e5cf202]
> [252903.192] 4: /usr/bin/X (QueuePointerEvents+0x1d) [0x7f148e5cf65d]
> [252903.192] 5: /usr/bin/X (xf86PostButtonEven...

Chris J Arges (arges) wrote :
Yoh Yoh (dondizzle) wrote :

Chris, I have the SB Arena headset with the same problem. How do I apply the patch you created to see if it fixes the issue?

Mike Harris (mwharris-h) wrote :

Chris, that patch fixed my problems. Thanks!

Chris J Arges (arges) wrote :

Submitted this patch to linux-input:
https://patchwork.kernel.org/patch/1404431/

Chris J Arges (arges) on 2012-10-04
Changed in xorg-server (Ubuntu Precise):
status: Triaged → In Progress
Changed in xorg-server (Ubuntu):
status: Triaged → In Progress
Chris J Arges (arges) wrote :

@yoh yoh:
Please see:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1007575/comments/19

You just need to install the kernel packages and test.

Carlos Gomes (cmalvesgomes) wrote :

I have the same issue with a Creative HS-950 headset, should I report a new bug?

Chris J Arges (arges) wrote :

@carlos
Please do, since it could be a different issue. Thanks.

Chris J Arges (arges) wrote :

A workaround at the moment for this bug (you may need to remove/add other modules depending on your setup):

sudo rmmod usbhid && sudo modprobe usbhid quirks=0x041e:0x0403:0x04

Dave Chiluk (chiluk) on 2013-01-17
Changed in xorg-server (Ubuntu):
assignee: Chris J Arges (arges) → Dave Chiluk (chiluk)
Changed in xorg-server (Ubuntu Quantal):
assignee: Chris J Arges (arges) → Dave Chiluk (chiluk)
Changed in xorg-server (Ubuntu Precise):
assignee: Chris J Arges (arges) → Dave Chiluk (chiluk)
Dave Chiluk (chiluk) wrote :

I bisected this issue down to being fixed by this commit.
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=929578ab

I have uploaded kernels for precise and quantal here.
http://people.canonical.com/~chiluk/lp1007575/

Please verify with these kernels and report back. Make sure you select these kernels from grub when booting *(they may under the previous kernels, or advanced options).

Also if you are running proprietary video card drivers make sure you install the headers _all.deb and <arch.deb> files as well.

Dave Chiluk (chiluk) on 2013-01-28
affects: xorg-server (Ubuntu) → linux-meta (Ubuntu)
Dave Chiluk (chiluk) on 2013-01-28
description: updated
Chris J Arges (arges) on 2013-01-28
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Tim Gardner (timg-tpi) on 2013-01-29
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-38.59). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-24.37). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Luis Henriques (henrix) wrote :

Could anyone affected by this bug try the new kernel in -proposed to verify this bug is fixed? Thanks.

christoph@thinky:~$ dpkg -l | grep linux-image | grep 3.5.0-24
ii linux-image-3.5.0-24-generic 3.5.0-24.37 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
ii linux-image-extra-3.5.0-24-generic 3.5.0-24.37 amd64 Linux kernel image for version 3.5.0 on 64 bit x86 SMP
christoph@thinky:~$ uname -r
3.5.0-24-generic
christoph@thinky:~$ lsb_release -c
Codename: quantal

Bug fixed for Creative HS-950

Dave Chiluk (chiluk) on 2013-02-14
tags: added: verification-done-quantal
removed: verification-needed-quantal
Dave Chiluk (chiluk) wrote :

Thanks Christoph, is there any chance you have a precise image that you could verify on as well?

not right now. but i guess i could get one till monday.

Luis Henriques (henrix) wrote :

Christoph, thank you for helping verifying the fix for this bug.
After reviewing the patch and after some IRC discussion, we've decided to tag this bug as verified in Precise as the patch is very simple and the risks of regressions are low.

tags: added: verification-done-precise
removed: verification-needed-precise

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (17.3 KiB)

This bug was fixed in the package linux - 3.2.0-38.60

---------------
linux (3.2.0-38.60) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1124013

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: fix i915 regression after commit 9594e7e
    - LP: #1119809

linux (3.2.0-38.59) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1116240

  [ Andy Whitcroft ]

  * [Config] enable various HVC consoles
    - LP: #1102206

  [ Herton Ronaldo Krzesinski ]

  * [Config] updateconfigs for 3.2.36 stable update

  [ Stefan Bader ]

  * (config) Move 9p modules into generic package
    - LP: #1107658

  [ Upstream Kernel Changes ]

  * Revert "device_cgroup: fix RCU usage"
    - LP: #1096966
  * Revert "sched, autogroup: Stop going ahead if autogroup is disabled"
    - LP: #1096966
  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1096966
  * Revert "mm: vmscan: fix endless loop in kswapd balancing"
    - LP: #1096966
  * freezer: PF_FREEZER_NOSIG should be cleared along with PF_NOFREEZE
    - LP: #1096966
  * i915: Quirk no_lvds on Gigabyte GA-D525TUD ITX motherboard
    - LP: #1096966
  * drm/i915: Add no-lvds quirk for Supermicro X7SPA-H
    - LP: #1096966
  * ACPI: missing break
    - LP: #1096966
  * workqueue: convert BUG_ON()s in __queue_delayed_work() to
    WARN_ON_ONCE()s
    - LP: #1096966
  * hwmon: (coretemp) Improve support of recent Atom CPU models
    - LP: #1096966
  * hwmon: (coretemp) Add support for Atom D2000 and N2000 series CPU
    models
    - LP: #1096966
  * hwmon: (coretemp) Improve support for TjMax detection on Atom CPUs
    - LP: #1096966
  * hwmon: (coretemp) Add support for Atom CE4110/4150/4170
    - LP: #1096966
  * ARM: 7566/1: vfp: fix save and restore when running on pre-VFPv3 and
    CONFIG_VFPv3 set
    - LP: #1096966
  * sata_svw: check DMA start bit before reset
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: fix typo
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: ret may be uninitialized
    - LP: #1096966
  * drivers/leds/leds-lp5521.c: fix lp5521_read() error handling
    - LP: #1096966
  * scsi: aha152x: Fix sparse warning and make printing pointer address
    more portable.
    - LP: #1096966
  * ALSA: hda - Fix missing beep on ASUS X43U notebook
    - LP: #1096966
  * i7300_edac: Fix error flag testing
    - LP: #1096966
  * Revert misapplied "mmc: sh-mmcif: avoid oops on spurious interrupts"
    - LP: #1096966
  * tmpfs: fix shared mempolicy leak
    - LP: #1096966
  * powerpc: fix wii_memory_fixups() compile error on 3.0.y tree
    - LP: #1096966
  * s390/kvm: dont announce RRBM support
    - LP: #1096966
  * cgroup: cgroup_subsys->fork() should be called after the task is added
    to css_set
    - LP: #1096966
  * freezer: add missing mb's to freezer_count() and freezer_should_skip()
    - LP: #1096966
  * mm: add kmap_to_page()
    - LP: #1096966
  * mm: highmem: export kmap_to_page for modules
    - LP: #1096966
  * virtio: 9p: correctly pass physical address to userspace for high pages
    - LP: #1096966
  * virtio: force vring descriptors to be allocated from lowmem
    - LP: #1096966
  * ath9k_hw: Ena...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (28.9 KiB)

This bug was fixed in the package linux - 3.5.0-24.37

---------------
linux (3.5.0-24.37) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1117492

  [ Tim Gardner ]

  * [Config] CONFIG_ALX=m for x86 only
    - LP: #927782

linux (3.5.0-24.36) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1116501

  [ Adam Lee ]

  * [Config] Enable RTSX_PCI modules
    - LP: #1057089

  [ Andy Whitcroft ]

  * [Config] enable various HVC consoles
    - LP: #1102206

  [ Brad Figg ]

  * Revert "SAUCE: samsung-laptop: disable in UEFI mode"
    - LP: #1111689

  [ Herton Ronaldo Krzesinski ]

  * [Config] updateconfigs for 3.5.7.3 stable update
  * d-i: Add mellanox ethernet drivers to nic-modules
    - LP: #1015339

  [ Kamal Mostafa ]

  * SAUCE: alx driver import script
    - LP: #927782

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #927782

  [ Seth Forshee ]

  * SAUCE: samsung-laptop: Add quirk for broken acpi_video backlight on
    N250P
    - LP: #1086921

  [ Stefan Bader ]

  * (config) Move 9p modules into generic package
    - LP: #1107658

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * [config] CONFIG_ALX=m
    - LP: #927782
  * [Config] Add alx to d-i nic-modules
    - LP: #927782

  [ Upstream Kernel Changes ]

  * Revert "8139cp: revert "set ring address before enabling receiver""
    - LP: #1102417
  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1102417
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1102417
  * Revert "ALSA: hda - Shut up pins at power-saving mode with Conexnat
    codecs"
    - LP: #1106966, #886975
  * be2net: don't call vid_config() when there's no vlan config
    - LP: #1083088
  * be2net: cleanup be_vid_config()
    - LP: #1083088
  * be2net: do not modify PCI MaxReadReq size
    - LP: #1083088
  * be2net: fix reporting number of actual rx queues
    - LP: #1083088
  * be2net: do not use SCRATCHPAD register
    - LP: #1083088
  * be2net: Fix driver load for VFs for Lancer
    - LP: #1083088
  * be2net: Explicitly clear the reserved field in the Tx Descriptor
    - LP: #1083088
  * be2net: Regression bug wherein VFs creation broken for multiple cards.
    - LP: #1083088
  * be2net: Fix to trim skb for padded vlan packets to workaround an ASIC
    Bug
    - LP: #1083088
  * be2net: Fix Endian
    - LP: #1083088
  * be2net: Fix error while toggling autoneg of pause parameters
    - LP: #1083088
  * be2net : Fix die temperature stat for Lancer
    - LP: #1083088
  * be2net: Fix initialization sequence for Lancer
    - LP: #1083088
  * be2net: Activate new FW after FW download for Lancer
    - LP: #1083088
  * be2net: Fix cleanup path when EQ creation fails
    - LP: #1083088
  * be2net: Enable RSS UDP hashing for Lancer and Skyhawk
    - LP: #1083088
  * be2net: dont pull too much data in skb linear part
    - LP: #1083088
  * be2net: Fix VF driver load for Lancer
    - LP: #1083088
  * be2net: Ignore physical link async event for Lancer
    - LP: #1083088
  * be2net: Fix to parse RSS hash from Receive compl...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Carlos Gomes (cmalvesgomes) wrote :

I'm having this issue with a Creative HS-950 headset using Arch Linux, would I be able to fix it using the same patch?

Dave Chiluk (chiluk) wrote :

Very possibly. I have no idea about what version of kernel you are running, but if you are able to apply the above mentioned patch it should fix your issues. Just make sure you pay it forward for your arch buddies by submitting the patch into whatever bug system is available for arch.

Carlos Gomes (cmalvesgomes) wrote :

Is this the one? https://patchwork.kernel.org/patch/1700201/

I have a HS-950 and not an SB Arena?

Dave Chiluk (chiluk) on 2013-10-28
Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers